#include "../config.h"

int curses_semafor_init (void);
int curses_semafor_destroy (void);

int COLOR_PAIR2 (int);
int addch2 (const chtype);
int addchstr2 (chtype * const);
int attroff2 (chtype);
int attron2 (chtype);
int attrset2 (chtype);
int beep2 (void);
int box2 (WINDOW *, chtype, chtype);
int wborder2 (WINDOW * win, chtype ls, chtype rs, chtype ts, chtype bs,
	      chtype tl, chtype tr, chtype bl, chtype br);
int halfdelay2 (int);
int cbreak2 (void);
int clear2 (void);
int clearok2 (WINDOW *, bool);
int clrtobot2 (void);
int curses_wait (int);
int delch2 (void);
int deleteln2 (void);
int delwin2 (WINDOW *);
int doupdate2 (void);
int echo2 (void);
int endwin2 (void);
int erase2 (void);
int flash2 (void);
int getch2 (void);
int wgetch2 (WINDOW *);
int getstr2 (char *);
int getnstr2 (char *, int);
int wgetnstr2 (WINDOW *, char *, int);
bool has_colors2 (void);
chtype inch2 (void);
chtype winch2 (WINDOW *);
chtype mvinch2 (int, int);
chtype mvwinch2 (WINDOW *, int, int);
int init_color2 (short, short, short, short);
int init_pair2 (short, short, short);
WINDOW *initscr2 (void);
int innstr2 (char *, int);
int insch2 (chtype);
int insertln2 (void);
int instr2 (char *);
int keypad2 (WINDOW *, bool);
int leaveok2 (WINDOW *, bool);
int move2 (int, int);
int mvaddch2 (int, int, const chtype);
int mvaddchstr2 (int, int, chtype *);
int mvinsch2 (int, int, chtype);
int mvwaddch2 (WINDOW *, int, int, const chtype);
int mvwaddchstr2 (WINDOW *, int, int, chtype * const);
int mvwin2 (WINDOW *, int, int);
int mvwinsch2 (WINDOW *, int, int, chtype);
WINDOW *newpad2 (int, int);
WINDOW *newwin2 (int, int, int, int);
int nocbreak2 (void);
int noecho2 (void);
int noraw2 (void);
int pair_content2 (short, short *, short *);
int pnoutrefresh2 (WINDOW *, int, int, int, int, int, int);
int prefresh2 (WINDOW *, int, int, int, int, int, int);
int printw2 (char *);
int wprintw2 (WINDOW *, char *);
int mvprintw2 (int, int, char *);
#define WPRINTW2(OKNO, text,args...) { while (curses_wait(1)); \
	wprintw(OKNO, text, ##args); curses_wait(0); }
#define MVWPRINTW2(OKNO, X, Y, text,args...) { while (curses_wait(1)); \
	mvwprintw(OKNO,X,Y,text, ##args); curses_wait(0); }
int mvwprintw2 (WINDOW *, int, int, char *);
int raw2 (void);
int redrawwin2 (WINDOW *);
int refresh2 (void);
int scroll2 (WINDOW *);
int scrollok2 (WINDOW *, bool);
int standend2 (void);
int standout2 (void);
int start_color2 (void);
WINDOW *subwin2 (WINDOW *, int, int, int, int);
int touchwin2 (WINDOW *);
int use_default_colors2 (void);
int waddch2 (WINDOW *, const chtype);
int waddchstr2 (WINDOW *, chtype * const);
int wattroff2 (WINDOW *, chtype);
int wattron2 (WINDOW *, chtype);
int wattrset2 (WINDOW *, chtype);
int wclear2 (WINDOW *);
int wclrtobot2 (WINDOW *);
int werase2 (WINDOW *);
int winsch2 (WINDOW *, chtype);
int wmove2 (WINDOW *, int, int);
int wnoutrefresh2 (WINDOW *);
int wrefresh2 (WINDOW *);
int wstandend2 (WINDOW *);
int wstandout2 (WINDOW *);

#define getyx2(win,x,y) while (curses_wait(1)); getyx(win,x,y); curses_wait(0);
#define getparyx2(win,x,y) while (curses_wait(1)); getparyx(win, x, y); curses_wait(0);
#define getbegyx2(win,x,y) while (curses_wait(1)); getbegyx(win, x, y); curses_wait(0);
#define  getmaxyx2(win,x,y) while (curses_wait(1)); getmaxyx(win, x, y); curses_wait(0);
