/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne licenese GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor copyright.c */

#include <stdlib.h>
#include <errno.h>
#include "definice.h"
#include "strukturyw.h"
#include "box3.h"
#include "struktury.h"
#include "libw.h"
#include "lib.h"
#include "barvy.h"

void
copyright (void)
{
  WINDOW *new_zprava;
  int ch;
  char temp[80];

  if ((new_zprava = newwin2 (6, 56, 10, (COLS - 56) / 2)) == NULL)
    {
      print_hl (1, "CHYBA: Nelze zobrazit informaci!");

      if (global_get (g_warning) == g_w_ano)
	perror ("copyright()");
      return;
    }

  wattron2 (new_zprava, COLOR_PAIR (COLOR_COPYRIGHT_HLAVNI) | A_BOLD);
  /* vymaz_okno(nw_zprava); */
  mvwprintw2 (new_zprava, 1, 2, NAZEV1 "-" VER ",");
  mvwprintw2 (new_zprava, 1, 22, "(c) 2002-" ROK " Petr Blek, (GNU)");

  sprintf (temp, "Peloeno: %s,%s.\t       (%4i)", __DATE__,
	   __TIME__, CISLOPREKLADU);
  mvwprintw2 (new_zprava, 2, 2, temp);

  wattron2 (new_zprava, COLOR_PAIR (COLOR_COPYRIGHT_OK) | A_BOLD);
  mvwprintw2 (new_zprava, 3, 25, "< OK >");
  wattron2 (new_zprava, COLOR_PAIR (COLOR_COPYRIGHT_HLAVNI) | A_BOLD);

  mvwprintw2 (new_zprava, 4, 2,
	      "http://www.sallyx.org/sally/psani-vsemi-deseti/");

  box3 (new_zprava, ACS_VLINE, ACS_HLINE);
  if (BETAVERSE)
    mvwprintw2 (new_zprava, 5, 41, "(beta verse)");

  pridej_do_priority_w (1, new_zprava, stdscr, LINES - 1, 0);
  tiskni_dle_priority ();

  do
    {
      ch = getch3 ();
    }
  while (ch != '\n');

  odeber_z_priority (new_zprava);
  delwin2 (new_zprava);
}
