/* Copyright (c) 2004 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* vyhodnotlekci.c */

#include "struktury.h"
#include "lib.h"

int
vyhodnot_lekci (type_uziv * slozka, type_odstavec * odstavec,
		type_informace infolekce, type_znamka z)
{
  unsigned int pom;
  char *text[3];
  char stemp[40];

  snprintf (stemp, sizeof (stemp) / sizeof (stemp[0]),
	    "Lekce/Odstavec: %02i/%02i", odstavec->lekce,
	    odstavec->akt_odstavec);
  text[0] = stemp;
  text[1] = NULL;
  text[2] = NULL;

  pom = 1;			/* podminka pro spusteni dalsiho odstavce */
  if ((((infolekce.rychlost[3] + infolekce.rychlost[4]) / 2)
       <= z.uh_min) && ((int) ((infolekce.presnost[3] +
				infolekce.presnost[4]) / 2.0) >=
			(int) (z.proc_chyb * 100.0)))
    {
      text[1] = "Gratuluji !";
      if (slozka->napsano_odstavec[odstavec->lekce - 1] <
	  odstavec->akt_odstavec)
	slozka->napsano_odstavec[odstavec->lekce - 1] =
	  odstavec->akt_odstavec;
      pom = 1;			/* podminka pro spusteni dalsiho odstavce */
      if (odstavec->akt_odstavec >= odstavec->odstavcu)
	{
	  slozka->napsano_lekce[odstavec->lekce - 1] = 1;
	  if (odstavec->lekce < LEKCE)
	    {
	      text[2] = " Pokraujte dal lekc!";
	      pom = 2;		/* podminka pro spusteni dalsi lekce */
	    }
	  else
	    {
	      text[2] = " Dokonil(a) jste vuku :-)!";
	      pom = 0;
	    }
	}
      if (uloz_slozku (slozka))
	print_hl (2, "CHYBA: data se nepodailo uloit do souboru ",
		  jmeno_souboru ());
    }
  else
    text[1] = "Je mi lto";

  if ((z.znamka_presnost > 4.5) && (z.znamka_cas < 2.1))
    print_hl (1, "Pite pomaleji !!");
  else if ((z.znamka_presnost < 1.5) && (z.znamka_cas < 2.1))
    print_hl (1, "To bylo skvl !");

  vypis_vyhodnoceni (odstavec, infolekce, z, text);

  return pom;
}
